## NAME

opusinfo - gives information about Opus files and does extensive validity checking

## SYNOPSIS

opusinfo [ -q | -v ] [ -h ] [ -V ] file1.opus ... fileN.opus

## DESCRIPTION

opusinfo reads one or more Opus files and prints information about stream contents (including chained and/or multiplexed streams) to standard output. It will detect (but not correct) a wide range of common defects, with many additional checks specifically for Opus streams.

For all stream types opusinfo will print the filename being processed, the stream serial numbers, and various common error conditions.

For Opus streams, information including the version used for encoding, number of channels and other header information, the bitrate and playback length, the contents of the comment header, and general statistics about the stream are printed.

Opusinfo is a fork of ogginfo(1) with the non-opus parts largely removed.

## OPTIONS

-h

Show a help and usage message.

-q

Quiet mode. This may be specified multiple times. Doing so once will remove the detailed informative messages; twice will remove warnings as well.

-v

Verbose mode. At the current time, this does not do anything.

-V

Show program version info and exit.

## NOTES

There are many kinds of errored, invalid, non-normative, or otherwise unwise stream constructions which opusinfo will not produce warnings on. Passing opusinfo with flying colors is not certification of the correctness of a stream. Future versions may detect more error conditions.

## AUTHORS

Michael Smith <msmith@xiph.org>

Gregory Maxwell <greg@xiph.org>

## SEE ALSO

opusdec (1) opusenc (1)

This HTML page was made with roffit.